package tech.starwin.mvp.beans;

import android.support.annotation.Nullable;

import java.io.Serializable;


/**
 * Created by Miaoke on 2017/3/1.
 */

public class PersonalInfoBean implements Serializable {


    /**
     * fullName : timbo
     * credentialNo : 987654321
     * gender: MALE
     * province : Shanghai
     * city : Shanghai
     * district : Pudong
     * area : Huamu
     * address : East Jin'an Road
     * lastEducation : SD
     * maritalStatus : SINGLE
     * childrenNumber : ZERO
     * residenceDuration : ONE_YEAR
     */

    private String fullName;
    private String credentialNo;
    private String gender;
    private String province;
    private String city;
    private String district;
    private String area;
    private String address;
    private String lastEducation;
    private String maritalStatus;
    private String childrenNumber;
    private String residenceDuration;

    public String getFamilyNameInLaw() {
        return familyNameInLaw;
    }

    public void setFamilyNameInLaw(String familyNameInLaw) {
        this.familyNameInLaw = familyNameInLaw;
    }

    private String familyNameInLaw;
    @Nullable
    private String facebookId;

    @Nullable
    public String getFacebookId() {
        return facebookId;
    }

    public void setFacebookId(@Nullable String facebookId) {
        this.facebookId = facebookId;
    }

    public PersonalInfoBean() {
    }

    public PersonalInfoBean(PersonalInfoServerBean personalInfoServerBean) {

        province = personalInfoServerBean.getProvince();
        city = personalInfoServerBean.getCity();
        district = personalInfoServerBean.getDistrict();
        area = personalInfoServerBean.getArea();
        this.setFamilyNameInLaw(personalInfoServerBean.getFamilyNameInLaw());
        this.setFullName(personalInfoServerBean.getFullName());
        this.setCredentialNo(personalInfoServerBean.getCredentialNo());
        this.setGender(personalInfoServerBean.getGender());
        this.setFacebookId(personalInfoServerBean.getFacebookId());
        this.setAddress(personalInfoServerBean.getAddress());
        this.setLastEducation(personalInfoServerBean.getLastEducation());
        this.setMaritalStatus(personalInfoServerBean.getMaritalStatus());
        this.setChildrenNumber(personalInfoServerBean.getChildrenNumber());
        this.setResidenceDuration(personalInfoServerBean.getResidenceDuration());

    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getCredentialNo() {
        return credentialNo;
    }

    public void setCredentialNo(String credentialNo) {
        this.credentialNo = credentialNo;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLastEducation() {
        return lastEducation;
    }

    public String getMaritalStatus() {
        return maritalStatus;
    }

    public String getChildrenNumber() {
        return childrenNumber;
    }

    public String getResidenceDuration() {
        return residenceDuration;
    }


    public void setLastEducation(String lastEducation) {
        this.lastEducation = lastEducation;
    }


    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }


    public void setChildrenNumber(String childrenNumber) {
        this.childrenNumber = childrenNumber;
    }


    public void setResidenceDuration(String residenceDuration) {
        this.residenceDuration = residenceDuration;
    }
}
